Subject: [bug#77023] [PATCH 0/3] home: services: Add readymedia.

From: Sughosha <[email-masked]>
Date: Wed, 14 May 2025 14:58:28 +0530

On Monday, May 5, 2025 6:03:29 PM GMT+5:30 Ludovic Courtès wrote:
> Sughosha <[email-masked]> writes:
> > * gnu/home/services/upnp.scm: New file.
> > * gnu/local.mk: Register it.
> > * gnu/services/upnp.scm: Export readymedia-activation and
> > readymedia-shepherd-service.
> > (<readymedia-configuration>)[home-service?]: New field.
> > [cache-directory]: Adjust value depending on 'for-home?'.
> > [log-directory]: Ditto.
> > (readymedia-shepherd-service): Adjust 'requirement' and 'start' according
> > to 'home-service?'.
> > (readymedia-activation): Adjust creating 'media-directories' with
> > permissions according to 'home-service?'.
> > * doc/guix.texi (Miscellaneous Home Services): Document Readymedia
> > Service.
> > (Miscellaneous Services): Add cross-reference.
> > 
> > Change-Id: Id0c7ac2e1c4e17f1efb2d49d98883129d90afc38
> 
> Hello!  We’re almost there.  While running the system test, I noticed
> that something had broken; I also noticed that we were calling ‘getpid’
> at build time rather than at run time in the Home case, hence this
> patch.
> 
> However, there’s still a test failure:
> 
> --8<---------------cut here---------------start------------->8---
> Test begin:
>   test-name: "ReadyMedia service is listening for connections"
>   source-file:
> "/gnu/store/scyy0hybjm1qifpwlmzjhvs1ry28lvnk-readymedia-test-builder"
> source-line: 1
>   source-form: (test-assert "ReadyMedia service is listening for
> connections" (wait-for-tcp-por) Test end:
>   result-kind: fail
>   actual-value: #f
>   actual-error: (misc-error #f "nobody's listening on port ~S" (("127.0.0.1"
> 8200)) #f) --8<---------------cut
> here---------------end--------------->8---
> 
> Could you take a look?
> 
> Thanks,
> Ludo’.

I have sent the v5 patch, does it pass this test? I don't know how to run this 
test.

-- 
Sughosha